Package org.apache.any23.writer

## Interface TripleWriterFactory

- All Superinterfaces:
    `WriterFactory`
  All Known Implementing Classes:
    `JSONLDWriterFactory`, `JSONWriterFactory`, `NQuadsWriterFactory`, `NTriplesWriterFactory`, `RDFXMLWriterFactory`, `TriXWriterFactory`, `TurtleWriterFactory`, `URIListWriterFactory`

      public interface TripleWriterFactory

  Base interface for constructors of `TripleHandler` implementations that write to an `OutputStream` using a particular `FileFormat`.
  Author:
    Hans Brende (hansbrende@apache.org)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default String` | `getMimeType()` | Deprecated. since 2.3.
    `default org.eclipse.rdf4j.rio.RDFFormat` | `getRdfFormat()` | Deprecated. since 2.3.
    `default FormatWriter` | `getRdfWriter​(OutputStream os)` | Deprecated. since 2.3.
    `Settings` | `getSupportedSettings()` |
    `TripleFormat` | `getTripleFormat()` |
    `TripleHandler` | `getTripleWriter​(OutputStream out, Settings settings)` |

    - ### Methods inherited from interface org.apache.any23.writer.WriterFactory

      `getIdentifier`

- - ### Method Detail

    - #### getRdfFormat

          @Deprecated
          default org.eclipse.rdf4j.rio.RDFFormat getRdfFormat()

      Deprecated.
      since 2.3. Use `getTripleFormat()` instead.
      Specified by:
        `getRdfFormat` in interface `WriterFactory`
      Returns:
        the `RDFFormat` being handled

    - #### getTripleFormat

          TripleFormat getTripleFormat()

      Returns:
        the format used to write to `OutputStream`s

    - #### getMimeType

          @Deprecated
          default String getMimeType()

      Deprecated.
      since 2.3. Use `getTripleFormat()`.`getMimeType()` instead.
      Specified by:
        `getMimeType` in interface `WriterFactory`
      Returns:
        a String representing the Mimetype being handled in this Writer

    - #### getRdfWriter

          @Deprecated
          default FormatWriter getRdfWriter​(OutputStream os)

      Deprecated.
      since 2.3. Use `getTripleWriter(OutputStream, Settings)` instead.
      Specified by:
        `getRdfWriter` in interface `WriterFactory`
      Parameters:
        `os` - a `OutputStream` to be written to the FormatWriter handler
      Returns:
        a `FormatWriter` ready to be implemented

    - #### getSupportedSettings

          Settings getSupportedSettings()

      Returns:
        the settings supported by writers produced by this factory

    - #### getTripleWriter

          TripleHandler getTripleWriter​(OutputStream out,
                                        Settings settings)

      Parameters:
        `out` - the `OutputStream` to write to
        `settings` - the settings with which to configure the writer
      Returns:
        a `TripleHandler` which writes to the specified `OutputStream`
      Throws:
        `NullPointerException` - if the output stream or settings is null
        `IllegalArgumentException` - if the settings are not correctly configured